library verilog;
use verilog.vl_types.all;
entity CoreAPB3 is
    generic(
        ApbSlot0Enable  : integer := 1;
        ApbSlot1Enable  : integer := 1;
        ApbSlot2Enable  : integer := 1;
        ApbSlot3Enable  : integer := 1;
        ApbSlot4Enable  : integer := 1;
        ApbSlot5Enable  : integer := 1;
        ApbSlot6Enable  : integer := 1;
        ApbSlot7Enable  : integer := 1;
        ApbSlot8Enable  : integer := 1;
        ApbSlot9Enable  : integer := 1;
        ApbSlot10Enable : integer := 1;
        ApbSlot11Enable : integer := 1;
        ApbSlot12Enable : integer := 1;
        ApbSlot13Enable : integer := 1;
        ApbSlot14Enable : integer := 1;
        ApbSlot15Enable : integer := 1;
        RangeSize       : integer := 256
    );
    port(
        PADDR           : in     vl_logic_vector(23 downto 0);
        PWRITE          : in     vl_logic;
        PENABLE         : in     vl_logic;
        PWDATA          : in     vl_logic_vector(31 downto 0);
        PRDATA          : out    vl_logic_vector(31 downto 0);
        PSEL            : in     vl_logic;
        PREADY          : out    vl_logic;
        PSLVERR         : out    vl_logic;
        PADDRS          : out    vl_logic_vector(23 downto 0);
        PWRITES         : out    vl_logic;
        PENABLES        : out    vl_logic;
        PWDATAS         : out    vl_logic_vector(31 downto 0);
        PSELS0          : out    vl_logic;
        PSELS1          : out    vl_logic;
        PSELS2          : out    vl_logic;
        PSELS3          : out    vl_logic;
        PSELS4          : out    vl_logic;
        PSELS5          : out    vl_logic;
        PSELS6          : out    vl_logic;
        PSELS7          : out    vl_logic;
        PSELS8          : out    vl_logic;
        PSELS9          : out    vl_logic;
        PSELS10         : out    vl_logic;
        PSELS11         : out    vl_logic;
        PSELS12         : out    vl_logic;
        PSELS13         : out    vl_logic;
        PSELS14         : out    vl_logic;
        PSELS15         : out    vl_logic;
        PREADYS0        : in     vl_logic;
        PREADYS1        : in     vl_logic;
        PREADYS2        : in     vl_logic;
        PREADYS3        : in     vl_logic;
        PREADYS4        : in     vl_logic;
        PREADYS5        : in     vl_logic;
        PREADYS6        : in     vl_logic;
        PREADYS7        : in     vl_logic;
        PREADYS8        : in     vl_logic;
        PREADYS9        : in     vl_logic;
        PREADYS10       : in     vl_logic;
        PREADYS11       : in     vl_logic;
        PREADYS12       : in     vl_logic;
        PREADYS13       : in     vl_logic;
        PREADYS14       : in     vl_logic;
        PREADYS15       : in     vl_logic;
        PRDATAS0        : in     vl_logic_vector(31 downto 0);
        PRDATAS1        : in     vl_logic_vector(31 downto 0);
        PRDATAS2        : in     vl_logic_vector(31 downto 0);
        PRDATAS3        : in     vl_logic_vector(31 downto 0);
        PRDATAS4        : in     vl_logic_vector(31 downto 0);
        PRDATAS5        : in     vl_logic_vector(31 downto 0);
        PRDATAS6        : in     vl_logic_vector(31 downto 0);
        PRDATAS7        : in     vl_logic_vector(31 downto 0);
        PRDATAS8        : in     vl_logic_vector(31 downto 0);
        PRDATAS9        : in     vl_logic_vector(31 downto 0);
        PRDATAS10       : in     vl_logic_vector(31 downto 0);
        PRDATAS11       : in     vl_logic_vector(31 downto 0);
        PRDATAS12       : in     vl_logic_vector(31 downto 0);
        PRDATAS13       : in     vl_logic_vector(31 downto 0);
        PRDATAS14       : in     vl_logic_vector(31 downto 0);
        PRDATAS15       : in     vl_logic_vector(31 downto 0);
        PSLVERRS0       : in     vl_logic;
        PSLVERRS1       : in     vl_logic;
        PSLVERRS2       : in     vl_logic;
        PSLVERRS3       : in     vl_logic;
        PSLVERRS4       : in     vl_logic;
        PSLVERRS5       : in     vl_logic;
        PSLVERRS6       : in     vl_logic;
        PSLVERRS7       : in     vl_logic;
        PSLVERRS8       : in     vl_logic;
        PSLVERRS9       : in     vl_logic;
        PSLVERRS10      : in     vl_logic;
        PSLVERRS11      : in     vl_logic;
        PSLVERRS12      : in     vl_logic;
        PSLVERRS13      : in     vl_logic;
        PSLVERRS14      : in     vl_logic;
        PSLVERRS15      : in     vl_logic
    );
end CoreAPB3;
