library verilog;
use verilog.vl_types.all;
entity CoreUARTapb is
    generic(
        TX_FIFO         : integer := 0;
        RX_FIFO         : integer := 0;
        ASYNCHRONOUS    : integer := 1
    );
    port(
        PCLK            : in     vl_logic;
        PRESETn         : in     vl_logic;
        PADDR           : in     vl_logic_vector(4 downto 2);
        PSEL            : in     vl_logic;
        PENABLE         : in     vl_logic;
        PWRITE          : in     vl_logic;
        PWDATA          : in     vl_logic_vector(7 downto 0);
        PRDATA          : out    vl_logic_vector(7 downto 0);
        txrdy           : out    vl_logic;
        receive_full    : out    vl_logic;
        rx              : in     vl_logic;
        tx              : out    vl_logic
    );
end CoreUARTapb;
