/***********************************************************************************             
-- Actel Corporation Proprietary and Confidential                                                
-- Copyright 2007 Actel Corporation. All rights reserved.
--                                                                                               
-- ANY USE OR REDISTRIBUTION IN PART OR IN WHOLE MUST BE HANDLED IN                              
-- ACCORDANCE WITH THE ACTEL LICENSE AGREEMENT AND MUST BE APPROVED                              
-- IN ADVANCE IN WRITING.                                                                        
--                                                                                               
-- Revision: 1.0 
-- SVN Revision Information:
-- SVN $Revision: $                                   
-- SVN $Date: $
-- 
-- Resolved SARs
-- SAR Date Who Description
--                                                                
********************************************************************************************************/
`timescale 1ns/100ps
module
CCALIBllOOI
(
CCALIBI
,
CCALIBl
,
CCALIBOI
)
;
input
[
23
:
0
]
CCALIBI
,
CCALIBl
;
output
[
23
:
0
]
CCALIBOI
;
wire
CCALIBlOIOI
,
CCALIBOllI
,
CCALIBIllI
,
CCALIBlllI
,
CCALIBO0lI
,
CCALIBI0lI
,
CCALIBl0lI
,
CCALIBO1lI
,
CCALIBI1lI
,
CCALIBl1lI
,
CCALIBOO0I
,
CCALIBIO0I
,
CCALIBlO0I
,
CCALIBOI0I
,
CCALIBII0I
,
CCALIBlI0I
,
CCALIBOl0I
,
CCALIBIl0I
,
CCALIBll0I
,
CCALIBO00I
,
CCALIBI00I
,
CCALIBl00I
,
CCALIBO10I
;
XOR3
CCALIBOIIOI
(
.A
(
CCALIBI
[
16
]
)
,
.B
(
CCALIBl
[
16
]
)
,
.C
(
CCALIBlI0I
)
,
.Y
(
CCALIBOI
[
16
]
)
)
;
XOR3
CCALIBIIIOI
(
.A
(
CCALIBI
[
22
]
)
,
.B
(
CCALIBl
[
22
]
)
,
.C
(
CCALIBl00I
)
,
.Y
(
CCALIBOI
[
22
]
)
)
;
XOR3
CCALIBlIIOI
(
.A
(
CCALIBI
[
13
]
)
,
.B
(
CCALIBl
[
13
]
)
,
.C
(
CCALIBlO0I
)
,
.Y
(
CCALIBOI
[
13
]
)
)
;
XOR3
CCALIBOlIOI
(
.A
(
CCALIBI
[
6
]
)
,
.B
(
CCALIBl
[
6
]
)
,
.C
(
CCALIBI0lI
)
,
.Y
(
CCALIBOI
[
6
]
)
)
;
XOR3
CCALIBIlIOI
(
.A
(
CCALIBI
[
7
]
)
,
.B
(
CCALIBl
[
7
]
)
,
.C
(
CCALIBl0lI
)
,
.Y
(
CCALIBOI
[
7
]
)
)
;
XOR3
CCALIBllIOI
(
.A
(
CCALIBI
[
9
]
)
,
.B
(
CCALIBl
[
9
]
)
,
.C
(
CCALIBI1lI
)
,
.Y
(
CCALIBOI
[
9
]
)
)
;
XOR3
CCALIBO0IOI
(
.A
(
CCALIBI
[
17
]
)
,
.B
(
CCALIBl
[
17
]
)
,
.C
(
CCALIBOl0I
)
,
.Y
(
CCALIBOI
[
17
]
)
)
;
MAJ3
CCALIBI0IOI
(
.A
(
CCALIBl1lI
)
,
.B
(
CCALIBI
[
10
]
)
,
.C
(
CCALIBl
[
10
]
)
,
.Y
(
CCALIBOO0I
)
)
;
MAJ3
CCALIBl0IOI
(
.A
(
CCALIBlOIOI
)
,
.B
(
CCALIBI
[
1
]
)
,
.C
(
CCALIBl
[
1
]
)
,
.Y
(
CCALIBOllI
)
)
;
MAJ3
CCALIBO1IOI
(
.A
(
CCALIBOO0I
)
,
.B
(
CCALIBI
[
11
]
)
,
.C
(
CCALIBl
[
11
]
)
,
.Y
(
CCALIBIO0I
)
)
;
XOR3
CCALIBI1IOI
(
.A
(
CCALIBI
[
11
]
)
,
.B
(
CCALIBl
[
11
]
)
,
.C
(
CCALIBOO0I
)
,
.Y
(
CCALIBOI
[
11
]
)
)
;
XOR3
CCALIBl1IOI
(
.A
(
CCALIBI
[
1
]
)
,
.B
(
CCALIBl
[
1
]
)
,
.C
(
CCALIBlOIOI
)
,
.Y
(
CCALIBOI
[
1
]
)
)
;
MAJ3
CCALIBOOlOI
(
.A
(
CCALIBl00I
)
,
.B
(
CCALIBI
[
22
]
)
,
.C
(
CCALIBl
[
22
]
)
,
.Y
(
CCALIBO10I
)
)
;
XOR3
CCALIBIOlOI
(
.A
(
CCALIBI
[
12
]
)
,
.B
(
CCALIBl
[
12
]
)
,
.C
(
CCALIBIO0I
)
,
.Y
(
CCALIBOI
[
12
]
)
)
;
XOR3
CCALIBlOlOI
(
.A
(
CCALIBI
[
3
]
)
,
.B
(
CCALIBl
[
3
]
)
,
.C
(
CCALIBIllI
)
,
.Y
(
CCALIBOI
[
3
]
)
)
;
MAJ3
CCALIBOIlOI
(
.A
(
CCALIBOllI
)
,
.B
(
CCALIBI
[
2
]
)
,
.C
(
CCALIBl
[
2
]
)
,
.Y
(
CCALIBIllI
)
)
;
MAJ3
CCALIBIIlOI
(
.A
(
CCALIBIllI
)
,
.B
(
CCALIBI
[
3
]
)
,
.C
(
CCALIBl
[
3
]
)
,
.Y
(
CCALIBlllI
)
)
;
XOR3
CCALIBlIlOI
(
.A
(
CCALIBI
[
20
]
)
,
.B
(
CCALIBl
[
20
]
)
,
.C
(
CCALIBO00I
)
,
.Y
(
CCALIBOI
[
20
]
)
)
;
XOR2
CCALIBl1I1
(
.A
(
CCALIBI
[
0
]
)
,
.B
(
CCALIBl
[
0
]
)
,
.Y
(
CCALIBOI
[
0
]
)
)
;
MAJ3
CCALIBOllOI
(
.A
(
CCALIBlI0I
)
,
.B
(
CCALIBI
[
16
]
)
,
.C
(
CCALIBl
[
16
]
)
,
.Y
(
CCALIBOl0I
)
)
;
XOR3
CCALIBIllOI
(
.A
(
CCALIBI
[
8
]
)
,
.B
(
CCALIBl
[
8
]
)
,
.C
(
CCALIBO1lI
)
,
.Y
(
CCALIBOI
[
8
]
)
)
;
XOR3
CCALIBlllOI
(
.A
(
CCALIBI
[
19
]
)
,
.B
(
CCALIBl
[
19
]
)
,
.C
(
CCALIBll0I
)
,
.Y
(
CCALIBOI
[
19
]
)
)
;
MAJ3
CCALIBO0lOI
(
.A
(
CCALIBI0lI
)
,
.B
(
CCALIBI
[
6
]
)
,
.C
(
CCALIBl
[
6
]
)
,
.Y
(
CCALIBl0lI
)
)
;
MAJ3
CCALIBI0lOI
(
.A
(
CCALIBl0lI
)
,
.B
(
CCALIBI
[
7
]
)
,
.C
(
CCALIBl
[
7
]
)
,
.Y
(
CCALIBO1lI
)
)
;
XOR3
CCALIBl0lOI
(
.A
(
CCALIBI
[
2
]
)
,
.B
(
CCALIBl
[
2
]
)
,
.C
(
CCALIBOllI
)
,
.Y
(
CCALIBOI
[
2
]
)
)
;
XOR3
CCALIBO1lOI
(
.A
(
CCALIBI
[
4
]
)
,
.B
(
CCALIBl
[
4
]
)
,
.C
(
CCALIBlllI
)
,
.Y
(
CCALIBOI
[
4
]
)
)
;
XOR3
CCALIBI1lOI
(
.A
(
CCALIBI
[
18
]
)
,
.B
(
CCALIBl
[
18
]
)
,
.C
(
CCALIBIl0I
)
,
.Y
(
CCALIBOI
[
18
]
)
)
;
MAJ3
CCALIBl1lOI
(
.A
(
CCALIBII0I
)
,
.B
(
CCALIBI
[
15
]
)
,
.C
(
CCALIBl
[
15
]
)
,
.Y
(
CCALIBlI0I
)
)
;
MAJ3
CCALIBOO0OI
(
.A
(
CCALIBIl0I
)
,
.B
(
CCALIBI
[
18
]
)
,
.C
(
CCALIBl
[
18
]
)
,
.Y
(
CCALIBll0I
)
)
;
XOR3
CCALIBIO0OI
(
.A
(
CCALIBI
[
10
]
)
,
.B
(
CCALIBl
[
10
]
)
,
.C
(
CCALIBl1lI
)
,
.Y
(
CCALIBOI
[
10
]
)
)
;
MAJ3
CCALIBlO0OI
(
.A
(
CCALIBO0lI
)
,
.B
(
CCALIBI
[
5
]
)
,
.C
(
CCALIBl
[
5
]
)
,
.Y
(
CCALIBI0lI
)
)
;
MAJ3
CCALIBOI0OI
(
.A
(
CCALIBO1lI
)
,
.B
(
CCALIBI
[
8
]
)
,
.C
(
CCALIBl
[
8
]
)
,
.Y
(
CCALIBI1lI
)
)
;
MAJ3
CCALIBII0OI
(
.A
(
CCALIBO00I
)
,
.B
(
CCALIBI
[
20
]
)
,
.C
(
CCALIBl
[
20
]
)
,
.Y
(
CCALIBI00I
)
)
;
MAJ3
CCALIBlI0OI
(
.A
(
CCALIBOI0I
)
,
.B
(
CCALIBI
[
14
]
)
,
.C
(
CCALIBl
[
14
]
)
,
.Y
(
CCALIBII0I
)
)
;
MAJ3
CCALIBOl0OI
(
.A
(
CCALIBIO0I
)
,
.B
(
CCALIBI
[
12
]
)
,
.C
(
CCALIBl
[
12
]
)
,
.Y
(
CCALIBlO0I
)
)
;
MAJ3
CCALIBIl0OI
(
.A
(
CCALIBll0I
)
,
.B
(
CCALIBI
[
19
]
)
,
.C
(
CCALIBl
[
19
]
)
,
.Y
(
CCALIBO00I
)
)
;
XOR3
CCALIBll0OI
(
.A
(
CCALIBI
[
23
]
)
,
.B
(
CCALIBl
[
23
]
)
,
.C
(
CCALIBO10I
)
,
.Y
(
CCALIBOI
[
23
]
)
)
;
MAJ3
CCALIBO00OI
(
.A
(
CCALIBlllI
)
,
.B
(
CCALIBI
[
4
]
)
,
.C
(
CCALIBl
[
4
]
)
,
.Y
(
CCALIBO0lI
)
)
;
MAJ3
CCALIBI00OI
(
.A
(
CCALIBOl0I
)
,
.B
(
CCALIBI
[
17
]
)
,
.C
(
CCALIBl
[
17
]
)
,
.Y
(
CCALIBIl0I
)
)
;
MAJ3
CCALIBl00OI
(
.A
(
CCALIBI00I
)
,
.B
(
CCALIBI
[
21
]
)
,
.C
(
CCALIBl
[
21
]
)
,
.Y
(
CCALIBl00I
)
)
;
XOR3
CCALIBO10OI
(
.A
(
CCALIBI
[
14
]
)
,
.B
(
CCALIBl
[
14
]
)
,
.C
(
CCALIBOI0I
)
,
.Y
(
CCALIBOI
[
14
]
)
)
;
XOR3
CCALIBI10OI
(
.A
(
CCALIBI
[
5
]
)
,
.B
(
CCALIBl
[
5
]
)
,
.C
(
CCALIBO0lI
)
,
.Y
(
CCALIBOI
[
5
]
)
)
;
MAJ3
CCALIBl10OI
(
.A
(
CCALIBlO0I
)
,
.B
(
CCALIBI
[
13
]
)
,
.C
(
CCALIBl
[
13
]
)
,
.Y
(
CCALIBOI0I
)
)
;
XOR3
CCALIBOO1OI
(
.A
(
CCALIBI
[
21
]
)
,
.B
(
CCALIBl
[
21
]
)
,
.C
(
CCALIBI00I
)
,
.Y
(
CCALIBOI
[
21
]
)
)
;
MAJ3
CCALIBIO1OI
(
.A
(
CCALIBI1lI
)
,
.B
(
CCALIBI
[
9
]
)
,
.C
(
CCALIBl
[
9
]
)
,
.Y
(
CCALIBl1lI
)
)
;
XOR3
CCALIBlO1OI
(
.A
(
CCALIBI
[
15
]
)
,
.B
(
CCALIBl
[
15
]
)
,
.C
(
CCALIBII0I
)
,
.Y
(
CCALIBOI
[
15
]
)
)
;
AND2
CCALIBOI1OI
(
.A
(
CCALIBI
[
0
]
)
,
.B
(
CCALIBl
[
0
]
)
,
.Y
(
CCALIBlOIOI
)
)
;
endmodule
