`timescale 1 ns/100 ps
// Version: 8.2 SP1 8.2.2.2


module pll_main(POWERDOWN,CLKA,LOCK,GLA,GLB,GLC,OADIVRST);
input POWERDOWN, CLKA;
output  LOCK, GLA, GLB, GLC;
input  OADIVRST;

    wire VCC, GND;
    
    VCC VCC_1_net(.Y(VCC));
    GND GND_1_net(.Y(GND));
    PLL #( .VCOFREQUENCY(147.458) )  Core(.CLKA(CLKA), .EXTFB(GND)
        , .POWERDOWN(POWERDOWN), .GLA(GLA), .LOCK(LOCK), .GLB(GLB)
        , .YB(), .GLC(GLC), .YC(), .OADIV0(VCC), .OADIV1(VCC), 
        .OADIV2(VCC), .OADIV3(GND), .OADIV4(GND), .OADIVHALF(GND), 
        .OADIVRST(OADIVRST), .OAMUX0(GND), .OAMUX1(GND), .OAMUX2(
        VCC), .DLYGLA0(GND), .DLYGLA1(GND), .DLYGLA2(GND), 
        .DLYGLA3(GND), .DLYGLA4(GND), .OBDIV0(VCC), .OBDIV1(VCC), 
        .OBDIV2(VCC), .OBDIV3(VCC), .OBDIV4(GND), .OBMUX0(GND), 
        .OBMUX1(VCC), .OBMUX2(GND), .DLYYB0(GND), .DLYYB1(GND), 
        .DLYYB2(GND), .DLYYB3(GND), .DLYYB4(GND), .DLYGLB0(GND), 
        .DLYGLB1(GND), .DLYGLB2(GND), .DLYGLB3(GND), .DLYGLB4(GND)
        , .OCDIV0(VCC), .OCDIV1(VCC), .OCDIV2(GND), .OCDIV3(GND), 
        .OCDIV4(GND), .OCMUX0(GND), .OCMUX1(VCC), .OCMUX2(GND), 
        .DLYYC0(GND), .DLYYC1(GND), .DLYYC2(GND), .DLYYC3(GND), 
        .DLYYC4(GND), .DLYGLC0(GND), .DLYGLC1(GND), .DLYGLC2(GND), 
        .DLYGLC3(GND), .DLYGLC4(GND), .FINDIV0(GND), .FINDIV1(VCC)
        , .FINDIV2(GND), .FINDIV3(VCC), .FINDIV4(VCC), .FINDIV5(
        VCC), .FINDIV6(GND), .FBDIV0(GND), .FBDIV1(VCC), .FBDIV2(
        VCC), .FBDIV3(GND), .FBDIV4(VCC), .FBDIV5(GND), .FBDIV6(
        VCC), .FBDLY0(GND), .FBDLY1(GND), .FBDLY2(GND), .FBDLY3(
        GND), .FBDLY4(GND), .FBSEL0(VCC), .FBSEL1(GND), .XDLYSEL(
        GND), .VCOSEL0(GND), .VCOSEL1(GND), .VCOSEL2(VCC));
    
endmodule

// _Disclaimer: Please leave the following comments in the file, they are for internal purposes only._


// _GEN_File_Contents_

// Version:8.2.2.2
// ACTGENU_CALL:1
// BATCH:T
// FAM:Fusion
// OUTFORMAT:Verilog
// LPMTYPE:LPM_PLL_STATIC
// LPM_HINT:NONE
// INSERT_PAD:NO
// INSERT_IOREG:NO
// GEN_BHV_VHDL_VAL:F
// GEN_BHV_VERILOG_VAL:F
// MGNTIMER:F
// MGNCMPL:T
// "DESDIR:G:/Data/Designs/ClosedLoopTrimDemo/smartgen\pll_main"
// GEN_BEHV_MODULE:T
// SMARTGEN_DIE:M7IR6X6M2
// SMARTGEN_PACKAGE:fg484
// FIN:100.000000
// CLKASRC:4
// FBDLY:1
// FBMUX:1
// XDLYSEL:0
// PRIMFREQ:18.423000
// PPHASESHIFT:0
// DLYAVAL:1
// OAMUX:4
// SEC1FREQ:9.216000
// UGLB:1
// UYB:0
// GLBDLYVAL:1
// YBDLYVAL:1
// S1PHASESHIFT:0
// OBMUX:2
// SEC2FREQ:36.864000
// UGLC:1
// UYC:0
// GLCDLYVAL:1
// YCDLYVAL:1
// S2PHASESHIFT:0
// OCMUX:2
// POWERDOWN_POLARITY:0
// LOCK_POLARITY:1
// LOCK_CTL:0

// _End_Comments_

