`timescale 1ns/10ps
module
CORE8051S
(
CLK
,
NSYSRESET
,
PRESETN
,
WDOGRES
,
WDOGRESN
,
INT0
,
INT1
,
MOVX
,
MEMPSACKI
,
MEMACKI
,
MEMDATAI
,
MEMDATAO
,
MEMADDR
,
MEMPSRD
,
MEMWR
,
MEMRD
,
TCK
,
TMS
,
TDI
,
TDO
,
TRSTN
,
BREAKIN
,
BREAKOUT
,
MEMBANK
,
DBGMEMPSWR
,
TRIGOUT
,
AUXOUT
,
PWRITE
,
PENABLE
,
PSEL
,
PADDR
,
PWDATA
,
PRDATA
,
PREADY
,
PSLVERR
)
;
parameter
USE_OCI
=
0
;
parameter
USE_UJTAG
=
1
;
parameter
INCL_TRACE
=
0
;
parameter
TRIG_NUM
=
0
;
parameter
EN_FF_OPTS
=
0
;
parameter
APB_DWIDTH
=
32
;
parameter
INCL_DPTR1
=
0
;
parameter
INCL_MUL_DIV_DA
=
1
;
parameter
VARIABLE_STRETCH
=
1
;
parameter
STRETCH_VAL
=
1
;
parameter
VARIABLE_WAIT
=
1
;
parameter
WAIT_VAL
=
0
;
parameter
FAMILY
=
0
;
localparam
TRACE_DEPTH
=
(
INCL_TRACE
==
1
)
?
8
:
0
;
input
CLK
;
input
NSYSRESET
;
output
PRESETN
;
input
WDOGRES
;
output
WDOGRESN
;
input
INT0
;
input
INT1
;
output
MOVX
;
input
MEMPSACKI
;
input
MEMACKI
;
input
[
7
:
0
]
MEMDATAI
;
output
[
7
:
0
]
MEMDATAO
;
output
[
15
:
0
]
MEMADDR
;
output
MEMPSRD
;
output
MEMWR
;
output
MEMRD
;
output
PSEL
;
output
PWRITE
;
output
PENABLE
;
output
[
11
:
0
]
PADDR
;
output
[
APB_DWIDTH
-
1
:
0
]
PWDATA
;
input
[
APB_DWIDTH
-
1
:
0
]
PRDATA
;
input
PREADY
;
input
PSLVERR
;
input
TCK
;
input
TMS
;
input
TDI
;
output
TDO
;
input
TRSTN
;
input
BREAKIN
;
output
BREAKOUT
;
input
[
3
:
0
]
MEMBANK
;
output
DBGMEMPSWR
;
output
TRIGOUT
;
output
AUXOUT
;
wire
[
31
:
0
]
CORE8051S_bfm_OI1
;
assign
PRESETN
=
NSYSRESET
;
assign
PADDR
=
CORE8051S_bfm_OI1
[
11
:
0
]
;
BFMapb
CORE8051S_bfm_II1
(
.PCLK
(
CLK
)
,
.CORE8051S_bfm_O
(
PRESETN
)
,
.PSEL
(
PSEL
)
,
.PENABLE
(
PENABLE
)
,
.PREADY
(
PREADY
)
,
.PSLVERR
(
PSLVERR
)
,
.PADDR
(
CORE8051S_bfm_OI1
)
,
.PWRITE
(
PWRITE
)
,
.PWDATA
(
PWDATA
)
,
.PRDATA
(
PRDATA
)
,
.IRQ
(
INT0
)
,
.FIQ
(
INT1
)
)
;
endmodule
