module
CORE8051S
(
CLK
,
NSYSRESET
,
PRESETN
,
WDOGRES
,
WDOGRESN
,
INT0
,
INT1
,
MOVX
,
MEMPSACKI
,
MEMACKI
,
MEMDATAI
,
MEMDATAO
,
MEMADDR
,
MEMPSRD
,
MEMWR
,
MEMRD
,
TCK
,
TMS
,
TDI
,
TDO
,
TRSTN
,
BREAKIN
,
BREAKOUT
,
MEMBANK
,
DBGMEMPSWR
,
TRIGOUT
,
AUXOUT
,
PWRITE
,
PENABLE
,
PSEL
,
PADDR
,
PWDATA
,
PRDATA
,
PREADY
,
PSLVERR
)
;
parameter
USE_OCI
=
0
;
parameter
USE_UJTAG
=
1
;
parameter
INCL_TRACE
=
0
;
parameter
TRIG_NUM
=
0
;
parameter
EN_FF_OPTS
=
0
;
parameter
APB_DWIDTH
=
32
;
parameter
INCL_DPTR1
=
0
;
parameter
INCL_MUL_DIV_DA
=
1
;
parameter
VARIABLE_STRETCH
=
1
;
parameter
STRETCH_VAL
=
1
;
parameter
VARIABLE_WAIT
=
1
;
parameter
WAIT_VAL
=
0
;
parameter
FAMILY
=
0
;
localparam
TRACE_DEPTH
=
(
INCL_TRACE
==
1
)
?
8
:
0
;
input
CLK
;
input
NSYSRESET
;
output
PRESETN
;
input
WDOGRES
;
output
WDOGRESN
;
input
INT0
;
input
INT1
;
output
MOVX
;
input
MEMPSACKI
;
input
MEMACKI
;
input
[
7
:
0
]
MEMDATAI
;
output
[
7
:
0
]
MEMDATAO
;
output
[
15
:
0
]
MEMADDR
;
output
MEMPSRD
;
output
MEMWR
;
output
MEMRD
;
output
PSEL
;
output
PWRITE
;
output
PENABLE
;
output
[
11
:
0
]
PADDR
;
output
[
APB_DWIDTH
-
1
:
0
]
PWDATA
;
input
[
APB_DWIDTH
-
1
:
0
]
PRDATA
;
input
PREADY
;
input
PSLVERR
;
input
TCK
;
input
TMS
;
input
TDI
;
output
TDO
;
input
TRSTN
;
input
BREAKIN
;
output
BREAKOUT
;
input
[
3
:
0
]
MEMBANK
;
output
DBGMEMPSWR
;
output
TRIGOUT
;
output
AUXOUT
;
wire
PRESETN
;
wire
CORE8051S_II0II
;
wire
CORE8051S_lI0II
;
wire
MOVX
;
wire
[
7
:
0
]
MEMDATAO
;
wire
[
15
:
0
]
MEMADDR
;
wire
MEMPSRD
;
wire
MEMWR
;
wire
MEMRD
;
wire
[
7
:
0
]
CORE8051S_Ol0II
;
wire
[
7
:
0
]
CORE8051S_Il0II
;
wire
[
7
:
0
]
CORE8051S_ll0II
;
wire
CORE8051S_O00II
;
wire
CORE8051S_I00II
;
wire
[
7
:
0
]
CORE8051S_l00II
;
wire
[
6
:
0
]
CORE8051S_lll
;
wire
CORE8051S_O0l
;
wire
CORE8051S_O10II
;
wire
TDO
;
wire
BREAKOUT
;
wire
DBGMEMPSWR
;
wire
TRIGOUT
;
wire
AUXOUT
;
wire
[
7
:
0
]
CORE8051S_I10II
;
wire
[
7
:
0
]
CORE8051S_l10II
;
wire
[
19
:
0
]
CORE8051S_OO1II
;
wire
[
19
:
0
]
CORE8051S_IO1II
;
wire
CORE8051S_lO1II
;
wire
CORE8051S_OI1II
;
wire
WDOGRES
;
wire
WDOGRESN
;
wire
CORE8051S_II1II
;
wire
CORE8051S_lI1II
;
wire
CORE8051S_Ol1II
;
wire
CORE8051S_Il1II
;
wire
CORE8051S_ll1II
;
wire
CORE8051S_O01II
;
wire
CORE8051S_I01II
;
wire
[
7
:
0
]
CORE8051S_I1OOI
;
wire
CORE8051S_l01II
;
wire
[
7
:
0
]
CORE8051S_O11II
;
wire
[
15
:
0
]
CORE8051S_I11II
;
wire
CORE8051S_l11II
;
wire
CORE8051S_OOOlI
;
wire
CORE8051S_IOOlI
;
wire
[
7
:
0
]
CORE8051S_lOOlI
;
wire
[
7
:
0
]
CORE8051S_OIOlI
;
wire
CORE8051S_IIOlI
;
wire
CORE8051S_lIOlI
;
wire
[
7
:
0
]
CORE8051S_OlOlI
;
wire
[
7
:
0
]
CORE8051S_IlOlI
;
wire
[
6
:
0
]
CORE8051S_llOlI
;
wire
CORE8051S_O0OlI
;
wire
CORE8051S_I0OlI
;
wire
PWRITE
;
wire
PENABLE
;
wire
[
11
:
0
]
PADDR
;
wire
[
APB_DWIDTH
-
1
:
0
]
PWDATA
;
wire
[
APB_DWIDTH
-
1
:
0
]
PRDATA
;
wire
CORE8051S_O0lII
;
wire
CORE8051S_l0lII
;
wire
CORE8051S_IO0II
;
wire
[
7
:
0
]
CORE8051S_l0OlI
;
wire
CORE8051S_O1OlI
;
wire
[
7
:
0
]
CORE8051S_I1OlI
;
wire
CORE8051S_l1OlI
;
wire
CORE8051S_OOIlI
;
wire
CORE8051S_IOIlI
;
wire
CORE8051S_lOIlI
;
wire
PSEL
;
CORE8051S_OIIlI
#
(
.EN_FF_OPTS
(
EN_FF_OPTS
)
,
.APB_DWIDTH
(
APB_DWIDTH
)
,
.INCL_DPTR1
(
INCL_DPTR1
)
,
.INCL_MUL_DIV_DA
(
INCL_MUL_DIV_DA
)
,
.VARIABLE_STRETCH
(
VARIABLE_STRETCH
)
,
.STRETCH_VAL
(
STRETCH_VAL
)
,
.VARIABLE_WAIT
(
VARIABLE_WAIT
)
,
.WAIT_VAL
(
WAIT_VAL
)
)
CORE8051S_IIIlI
(
.CORE8051S_O0I
(
CORE8051S_l0lII
)
,
.CORE8051S_lIIlI
(
CORE8051S_II1II
)
,
.CORE8051S_I0I
(
CORE8051S_O0lII
)
,
.WDOGRES
(
WDOGRES
)
,
.WDOGRESN
(
WDOGRESN
)
,
.CORE8051S_OlIlI
(
INT0
)
,
.CORE8051S_IlIlI
(
INT1
)
,
.CORE8051S_lI1II
(
CORE8051S_lI1II
)
,
.CORE8051S_Ol1II
(
CORE8051S_Ol1II
)
,
.CORE8051S_Il1II
(
CORE8051S_Il1II
)
,
.CORE8051S_ll1II
(
CORE8051S_ll1II
)
,
.CORE8051S_O01II
(
CORE8051S_O01II
)
,
.CORE8051S_I01II
(
CORE8051S_I01II
)
,
.CORE8051S_I1OOI
(
CORE8051S_I1OOI
)
,
.CORE8051S_llIlI
(
CORE8051S_l01II
)
,
.CORE8051S_O0IlI
(
MOVX
)
,
.CORE8051S_IOlII
(
MEMPSACKI
)
,
.CORE8051S_I0IlI
(
MEMACKI
)
,
.CORE8051S_O1I
(
CORE8051S_l0OlI
)
,
.CORE8051S_l0IlI
(
)
,
.CORE8051S_O1IlI
(
CORE8051S_O11II
)
,
.CORE8051S_I1IlI
(
CORE8051S_I11II
)
,
.CORE8051S_I1III
(
CORE8051S_l11II
)
,
.CORE8051S_l1IlI
(
CORE8051S_OOOlI
)
,
.CORE8051S_OOllI
(
CORE8051S_IOOlI
)
,
.CORE8051S_OlOlI
(
CORE8051S_OlOlI
)
,
.CORE8051S_Ol0II
(
CORE8051S_lOOlI
)
,
.CORE8051S_Il0II
(
CORE8051S_OIOlI
)
,
.CORE8051S_ll0II
(
CORE8051S_ll0II
)
,
.CORE8051S_O00II
(
CORE8051S_IIOlI
)
,
.CORE8051S_IOllI
(
CORE8051S_lIOlI
)
,
.CORE8051S_I00II
(
CORE8051S_I00II
)
,
.CORE8051S_Oll
(
8
'b
0
)
,
.CORE8051S_l00II
(
CORE8051S_IlOlI
)
,
.CORE8051S_lll
(
CORE8051S_llOlI
)
,
.CORE8051S_O0l
(
CORE8051S_O0OlI
)
,
.CORE8051S_O10II
(
CORE8051S_I0OlI
)
,
.PSEL
(
PSEL
)
,
.CORE8051S_lOllI
(
PWRITE
)
,
.CORE8051S_OIllI
(
PENABLE
)
,
.CORE8051S_IIllI
(
PADDR
)
,
.CORE8051S_lIllI
(
PWDATA
)
,
.CORE8051S_OlllI
(
PRDATA
)
,
.CORE8051S_IlllI
(
PREADY
)
)
;
CORE8051S_lllII
#
(
USE_OCI
)
CORE8051S_llllI
(
.CORE8051S_I0I
(
CORE8051S_l01II
)
,
.CORE8051S_O0lII
(
CORE8051S_O0lII
)
,
.CORE8051S_I0lII
(
)
,
.CORE8051S_O0I
(
CLK
)
,
.CORE8051S_l0lII
(
CORE8051S_l0lII
)
,
.CORE8051S_O1lII
(
CORE8051S_lOIlI
)
,
.CORE8051S_I1lII
(
)
,
.CORE8051S_l1lII
(
CORE8051S_lOIlI
)
,
.CORE8051S_OO0II
(
)
,
.TCK
(
TCK
)
,
.CORE8051S_IO0II
(
CORE8051S_IO0II
)
)
;
CORE8051S_lII
CORE8051S_O0llI
(
.WD
(
CORE8051S_lOOlI
)
,
.RD
(
CORE8051S_OlOlI
)
,
.WEN
(
CORE8051S_O00II
)
,
.REN
(
CORE8051S_I00II
)
,
.CORE8051S_I
(
CORE8051S_Il0II
)
,
.CORE8051S_l
(
CORE8051S_ll0II
)
,
.WCLK
(
CORE8051S_l0lII
)
,
.RCLK
(
CORE8051S_l0lII
)
)
;
generate
if
(
USE_OCI
==
1
)
begin
CORE8051S_I0llI
#
(
USE_UJTAG
,
TRACE_DEPTH
,
TRIG_NUM
)
ocia51_inst
(
.CLK
(
CORE8051S_l0lII
)
,
.CORE8051S_l0llI
(
NSYSRESET
)
,
.TCK
(
CORE8051S_IO0II
)
,
.TMS
(
TMS
)
,
.TDI
(
TDI
)
,
.TDO
(
TDO
)
,
.TRSTB
(
TRSTN
)
,
.CORE8051S_O1llI
(
CORE8051S_lI1II
)
,
.CORE8051S_I1llI
(
CORE8051S_ll1II
)
,
.CORE8051S_l1llI
(
CORE8051S_Ol1II
)
,
.CORE8051S_OO0lI
(
CORE8051S_Il1II
)
,
.CORE8051S_O1OlI
(
CORE8051S_O1OlI
)
,
.CORE8051S_I1OlI
(
CORE8051S_I1OlI
)
,
.CORE8051S_l1OlI
(
CORE8051S_l1OlI
)
,
.CORE8051S_IO0lI
(
TRIGOUT
)
,
.CORE8051S_OOIlI
(
CORE8051S_OOIlI
)
,
.CORE8051S_lO0lI
(
BREAKIN
)
,
.CORE8051S_OI0lI
(
BREAKOUT
)
,
.CORE8051S_I1OOI
(
CORE8051S_I1OOI
)
,
.CORE8051S_I01II
(
CORE8051S_I01II
)
,
.CORE8051S_O01II
(
CORE8051S_O01II
)
,
.CORE8051S_O1I
(
CORE8051S_l0OlI
)
,
.CORE8051S_O1IlI
(
CORE8051S_O11II
)
,
.CORE8051S_I1IlI
(
CORE8051S_I11II
)
,
.CORE8051S_II0lI
(
MEMBANK
)
,
.CORE8051S_lI0lI
(
CORE8051S_lOIlI
)
,
.CORE8051S_I1III
(
CORE8051S_l11II
)
,
.CORE8051S_l0I
(
MEMPSACKI
)
,
.CORE8051S_l1IlI
(
CORE8051S_OOOlI
)
,
.CORE8051S_OOllI
(
CORE8051S_IOOlI
)
,
.CORE8051S_OlOlI
(
CORE8051S_OlOlI
)
,
.CORE8051S_Ol0II
(
CORE8051S_lOOlI
)
,
.CORE8051S_Il0II
(
CORE8051S_OIOlI
)
,
.CORE8051S_O00II
(
CORE8051S_IIOlI
)
,
.CORE8051S_IOllI
(
CORE8051S_lIOlI
)
,
.CORE8051S_Oll
(
8
'b
0
)
,
.CORE8051S_l00II
(
CORE8051S_IlOlI
)
,
.CORE8051S_lll
(
CORE8051S_llOlI
)
,
.CORE8051S_O0l
(
CORE8051S_O0OlI
)
,
.CORE8051S_O10II
(
CORE8051S_I0OlI
)
,
.CORE8051S_I10II
(
CORE8051S_I10II
)
,
.CORE8051S_l10II
(
CORE8051S_l10II
)
,
.CORE8051S_OO1II
(
CORE8051S_OO1II
)
,
.CORE8051S_IO1II
(
CORE8051S_IO1II
)
,
.CORE8051S_Ol0lI
(
CORE8051S_lO1II
)
,
.CORE8051S_Il0lI
(
CORE8051S_OI1II
)
,
.CORE8051S_ll0lI
(
AUXOUT
)
)
;
end
endgenerate
generate
if
(
USE_OCI
==
0
)
begin
assign
CORE8051S_lI1II
=
CORE8051S_lOIlI
;
assign
CORE8051S_Ol1II
=
CORE8051S_lOIlI
;
assign
CORE8051S_Il1II
=
CORE8051S_lOIlI
;
assign
CORE8051S_O1OlI
=
CORE8051S_lOIlI
;
assign
CORE8051S_I1OlI
=
{
8
{
1
'b
0
}
}
;
assign
CORE8051S_l1OlI
=
CORE8051S_lOIlI
;
assign
CORE8051S_OOIlI
=
CORE8051S_lOIlI
;
assign
TRIGOUT
=
CORE8051S_lOIlI
;
assign
BREAKOUT
=
BREAKIN
;
assign
CORE8051S_OO1II
=
CORE8051S_IO1II
;
assign
CORE8051S_I10II
=
{
MEMBANK
,
4
'b
0000
}
;
assign
CORE8051S_l10II
=
{
MEMBANK
,
4
'b
0000
}
;
assign
CORE8051S_lO1II
=
CORE8051S_lOIlI
;
assign
CORE8051S_OI1II
=
CORE8051S_lOIlI
;
assign
AUXOUT
=
CORE8051S_lOIlI
;
end
endgenerate
generate
if
(
(
USE_OCI
==
1
)
&&
(
INCL_TRACE
==
1
)
)
begin
CORE8051S_O
CORE8051S_O00lI
(
.WD
(
CORE8051S_OO1II
)
,
.RD
(
CORE8051S_IO1II
)
,
.WEN
(
CORE8051S_lO1II
)
,
.REN
(
CORE8051S_OI1II
)
,
.CORE8051S_I
(
CORE8051S_I10II
)
,
.CORE8051S_l
(
CORE8051S_l10II
)
,
.WCLK
(
CORE8051S_l0lII
)
,
.RCLK
(
CORE8051S_l0lII
)
)
;
end
endgenerate
assign
CORE8051S_IOIlI
=
1
'b
1
;
assign
CORE8051S_lOIlI
=
1
'b
0
;
assign
CORE8051S_II1II
=
NSYSRESET
&
~
CORE8051S_OOIlI
;
assign
PRESETN
=
CORE8051S_O0lII
;
assign
CORE8051S_l0OlI
=
(
CORE8051S_O1OlI
==
1
'b
1
)
?
CORE8051S_I1OlI
:
(
PSEL
==
1
'b
1
)
?
PRDATA
[
7
:
0
]
:
MEMDATAI
;
assign
MEMDATAO
=
CORE8051S_O11II
;
assign
MEMADDR
=
CORE8051S_I11II
;
assign
MEMPSRD
=
CORE8051S_l11II
;
assign
MEMWR
=
CORE8051S_OOOlI
&
~
CORE8051S_l1OlI
;
assign
MEMRD
=
CORE8051S_IOOlI
;
assign
CORE8051S_Ol0II
=
CORE8051S_lOOlI
;
assign
CORE8051S_Il0II
=
CORE8051S_OIOlI
;
assign
CORE8051S_O00II
=
CORE8051S_IIOlI
;
assign
DBGMEMPSWR
=
CORE8051S_OOOlI
&
CORE8051S_l1OlI
;
endmodule
