library verilog;
use verilog.vl_types.all;
entity ProcessorSystem is
    port(
        GP_OUT_0        : out    vl_logic;
        GP_OUT_1        : out    vl_logic;
        GP_OUT_2        : out    vl_logic;
        GP_OUT_3        : out    vl_logic;
        GP_OUT_4        : out    vl_logic;
        GP_OUT_5        : out    vl_logic;
        GP_OUT_6        : out    vl_logic;
        GP_OUT_7        : out    vl_logic;
        GP_OUT_8        : out    vl_logic;
        GP_OUT_9        : out    vl_logic;
        GP_OUT_10       : out    vl_logic;
        GP_OUT_11       : out    vl_logic;
        GP_OUT_13       : out    vl_logic;
        GP_OUT_15       : out    vl_logic;
        ADC_RESULT      : in     vl_logic_vector(11 downto 0);
        fm_dout         : in     vl_logic_vector(7 downto 0);
        memaddr         : out    vl_logic_vector(15 downto 0);
        RS232_RX0_c     : in     vl_logic;
        RS232_TX0_c     : out    vl_logic;
        ASSC_DONE       : in     vl_logic;
        DATAVALID       : in     vl_logic;
        GL_RESETn_c     : in     vl_logic;
        WDOGRESN        : out    vl_logic;
        GL_RESETn_c_i   : in     vl_logic;
        un16_CORE8051S_IIlll_0: out    vl_logic;
        un44_CORE8051S_IIlll_1: out    vl_logic;
        CORE8051S_I1lll10_0: out    vl_logic;
        d_m1_e          : in     vl_logic;
        vswspmmdxcj_i   : in     vl_logic;
        NVM_BUSY_net    : in     vl_logic;
        proc_clk        : in     vl_logic;
        proc_rstn       : in     vl_logic;
        ProcessorSystem_VCC: in     vl_logic;
        ProcessorSystem_GND: in     vl_logic
    );
end ProcessorSystem;
