library verilog;
use verilog.vl_types.all;
entity AnalogSystem is
    port(
        SYS_CLK         : in     vl_logic;
        SYS_RESET       : in     vl_logic;
        VAREF           : inout  vl_logic;
        DATAVALID       : out    vl_logic;
        VIN             : in     vl_logic;
        ASSC_SEQIN      : in     vl_logic_vector(5 downto 0);
        ASSC_XMODE      : in     vl_logic;
        ASSC_XTRIG      : in     vl_logic;
        ASSC_SEQJUMP    : in     vl_logic;
        ASSC_DONE       : out    vl_logic;
        ASSC_WAIT       : out    vl_logic;
        ASSC_CHSAT      : out    vl_logic;
        ASSC_CHLATD     : out    vl_logic;
        ASSC_SEQCHANGE  : out    vl_logic;
        ASSC_SEQOUT     : out    vl_logic_vector(5 downto 0);
        ASSC_SAMPFLAG   : out    vl_logic;
        INIT_ADDR       : in     vl_logic_vector(8 downto 0);
        INIT_DATA       : in     vl_logic_vector(8 downto 0);
        INIT_ACM_WEN    : in     vl_logic;
        INIT_ASSC_WEN   : in     vl_logic;
        INIT_DONE       : in     vl_logic;
        ADC_RESULT      : out    vl_logic_vector(11 downto 0);
        ADC_CHNUMBER    : out    vl_logic_vector(4 downto 0)
    );
end AnalogSystem;
