library verilog;
use verilog.vl_types.all;
entity CORE8051S_llI is
    generic(
        INCL_MUL_DIV_DA : integer := 1;
        INSTR_DECNUM    : integer := 119;
        CORE8051S_IO0   : integer := 0;
        CORE8051S_lO0   : integer := 1;
        CORE8051S_OI0   : integer := 2;
        CORE8051S_II0   : integer := 3;
        CORE8051S_lI0   : integer := 4;
        CORE8051S_Ol0   : integer := 5;
        CORE8051S_Il0   : integer := 7;
        CORE8051S_ll0   : integer := 8;
        CORE8051S_O00   : integer := 9;
        CORE8051S_I00   : integer := 10;
        CORE8051S_l00   : integer := 11;
        CORE8051S_O10   : integer := 12;
        CORE8051S_I10   : integer := 13;
        CORE8051S_l10   : integer := 14;
        CORE8051S_OO1   : integer := 16;
        CORE8051S_IO1   : integer := 18;
        CORE8051S_lO1   : integer := 24;
        CORE8051S_OI1   : integer := 25;
        CORE8051S_II1   : integer := 26;
        CORE8051S_lI1   : integer := 27;
        CORE8051S_Ol1   : integer := 28;
        CORE8051S_Il1   : integer := 29;
        CORE8051S_ll1   : integer := 30;
        CORE8051S_O01   : integer := 31;
        CORE8051S_I01   : integer := 32;
        CORE8051S_l01   : integer := 40;
        CORE8051S_O11   : integer := 41;
        CORE8051S_I11   : integer := 48;
        CORE8051S_l11   : integer := 56;
        CORE8051S_OOOI  : integer := 57;
        CORE8051S_IOOI  : integer := 80;
        CORE8051S_lOOI  : integer := 96;
        CORE8051S_OIOI  : integer := 112;
        CORE8051S_IIOI  : integer := 255;
        CORE8051S_lIOI  : integer := 7;
        CORE8051S_OlOI  : integer := 0;
        CORE8051S_IlOI  : integer := 0;
        CORE8051S_llOI  : integer := 0;
        CORE8051S_O0OI  : integer := 0;
        CORE8051S_I0OI  : integer := 0;
        CORE8051S_l0OI  : integer := 0;
        CORE8051S_O1OI  : integer := 0;
        CORE8051S_I1OI  : integer := 0;
        CORE8051S_l1OI  : integer := 0;
        CORE8051S_OOII  : integer := 0;
        CORE8051S_IOII  : integer := 0;
        CORE8051S_lOII  : integer := 1;
        CORE8051S_OIII  : integer := 255;
        CORE8051S_IIII  : integer := 0;
        CORE8051S_lIII  : integer := 0;
        CORE8051S_OlII  : integer := 0;
        CORE8051S_IlII  : integer := 0;
        CORE8051S_llII  : integer := 0;
        CORE8051S_O0II  : integer := 0;
        CORE8051S_I0II  : integer := 0;
        CORE8051S_l0II  : integer := 0;
        CORE8051S_O1II  : integer := 0;
        CORE8051S_I1II  : integer := 255;
        CORE8051S_l1II  : integer := 0;
        CORE8051S_OOlI  : integer := 0;
        CORE8051S_IOlI  : integer := 255;
        CORE8051S_lOlI  : integer := 0;
        CORE8051S_OIlI  : integer := 0;
        CORE8051S_IIlI  : integer := 0;
        CORE8051S_lIlI  : integer := 0;
        CORE8051S_OllI  : integer := 0;
        CORE8051S_IllI  : integer := 0;
        CORE8051S_lllI  : integer := 1;
        CORE8051S_O0lI  : integer := 2;
        CORE8051S_I0lI  : integer := 3;
        CORE8051S_l0lI  : integer := 4;
        CORE8051S_O1lI  : integer := 5;
        CORE8051S_I1lI  : integer := 6;
        CORE8051S_l1lI  : integer := 7;
        CORE8051S_OO0I  : integer := 8;
        CORE8051S_IO0I  : integer := 9;
        CORE8051S_lO0I  : integer := 10;
        CORE8051S_OI0I  : integer := 11;
        CORE8051S_II0I  : integer := 12;
        CORE8051S_lI0I  : integer := 13;
        CORE8051S_Ol0I  : integer := 14;
        CORE8051S_Il0I  : integer := 15;
        CORE8051S_ll0I  : integer := 16;
        CORE8051S_O00I  : integer := 17;
        CORE8051S_I00I  : integer := 18;
        CORE8051S_l00I  : integer := 19;
        CORE8051S_O10I  : integer := 20;
        CORE8051S_I10I  : integer := 21;
        CORE8051S_l10I  : integer := 22;
        CORE8051S_OO1I  : integer := 23;
        CORE8051S_IO1I  : integer := 24;
        CORE8051S_lO1I  : integer := 25;
        CORE8051S_OI1I  : integer := 26;
        CORE8051S_II1I  : integer := 27;
        CORE8051S_lI1I  : integer := 28;
        CORE8051S_Ol1I  : integer := 29;
        CORE8051S_Il1I  : integer := 30;
        CORE8051S_ll1I  : integer := 31;
        CORE8051S_O01I  : integer := 32;
        CORE8051S_I01I  : integer := 33;
        CORE8051S_l01I  : integer := 34;
        CORE8051S_O11I  : integer := 35;
        CORE8051S_I11I  : integer := 36;
        CORE8051S_l11I  : integer := 37;
        CORE8051S_OOOl  : integer := 38;
        CORE8051S_IOOl  : integer := 39;
        CORE8051S_lOOl  : integer := 40;
        CORE8051S_OIOl  : integer := 41;
        CORE8051S_IIOl  : integer := 42;
        CORE8051S_lIOl  : integer := 43;
        CORE8051S_OlOl  : integer := 44;
        CORE8051S_IlOl  : integer := 45;
        CORE8051S_llOl  : integer := 46;
        CORE8051S_O0Ol  : integer := 47;
        CORE8051S_I0Ol  : integer := 48;
        CORE8051S_l0Ol  : integer := 49;
        CORE8051S_O1Ol  : integer := 50;
        CORE8051S_I1Ol  : integer := 51;
        CORE8051S_l1Ol  : integer := 52;
        CORE8051S_OOIl  : integer := 53;
        CORE8051S_IOIl  : integer := 54;
        CORE8051S_lOIl  : integer := 55;
        CORE8051S_OIIl  : integer := 56;
        CORE8051S_IIIl  : integer := 57;
        CORE8051S_lIIl  : integer := 58;
        CORE8051S_OlIl  : integer := 59;
        CORE8051S_IlIl  : integer := 60;
        CORE8051S_llIl  : integer := 61;
        CORE8051S_O0Il  : integer := 62;
        CORE8051S_I0Il  : integer := 63;
        CORE8051S_l0Il  : integer := 64;
        CORE8051S_O1Il  : integer := 65;
        CORE8051S_I1Il  : integer := 66;
        CORE8051S_l1Il  : integer := 67;
        CORE8051S_OOll  : integer := 68;
        CORE8051S_IOll  : integer := 69;
        CORE8051S_lOll  : integer := 70;
        CORE8051S_OIll  : integer := 71;
        CORE8051S_IIll  : integer := 72;
        CORE8051S_lIll  : integer := 73;
        CORE8051S_Olll  : integer := 74;
        CORE8051S_Illl  : integer := 75;
        CORE8051S_llll  : integer := 76;
        CORE8051S_O0ll  : integer := 77;
        CORE8051S_I0ll  : integer := 78;
        CORE8051S_l0ll  : integer := 79;
        CORE8051S_O1ll  : integer := 80;
        CORE8051S_I1ll  : integer := 81;
        CORE8051S_l1ll  : integer := 82;
        CORE8051S_OO0l  : integer := 83;
        CORE8051S_IO0l  : integer := 84;
        CORE8051S_lO0l  : integer := 85;
        CORE8051S_OI0l  : integer := 86;
        CORE8051S_II0l  : integer := 87;
        CORE8051S_lI0l  : integer := 88;
        CORE8051S_Ol0l  : integer := 89;
        CORE8051S_Il0l  : integer := 90;
        CORE8051S_ll0l  : integer := 91;
        CORE8051S_O00l  : integer := 92;
        CORE8051S_I00l  : integer := 93;
        CORE8051S_l00l  : integer := 94;
        CORE8051S_O10l  : integer := 95;
        CORE8051S_I10l  : integer := 96;
        CORE8051S_l10l  : integer := 97;
        CORE8051S_OO1l  : integer := 98;
        CORE8051S_IO1l  : integer := 99;
        CORE8051S_lO1l  : integer := 100;
        CORE8051S_OI1l  : integer := 101;
        CORE8051S_II1l  : integer := 102;
        CORE8051S_lI1l  : integer := 103;
        CORE8051S_Ol1l  : integer := 104;
        CORE8051S_Il1l  : integer := 105;
        CORE8051S_ll1l  : integer := 106;
        CORE8051S_O01l  : integer := 107;
        CORE8051S_I01l  : integer := 108;
        CORE8051S_l01l  : integer := 109;
        CORE8051S_O11l  : integer := 110;
        CORE8051S_I11l  : integer := 111;
        CORE8051S_l11l  : integer := 112;
        CORE8051S_OOO0  : integer := 113;
        CORE8051S_IOO0  : integer := 114;
        CORE8051S_lOO0  : integer := 115;
        CORE8051S_OIO0  : integer := 116;
        CORE8051S_IIO0  : integer := 117;
        CORE8051S_lIO0  : integer := 118;
        CORE8051S_OlO0  : integer := 119;
        CORE8051S_IlO0  : integer := 120;
        CORE8051S_llO0  : integer := 121;
        CORE8051S_O0O0  : integer := 122;
        CORE8051S_I0O0  : integer := 123;
        CORE8051S_l0O0  : integer := 124;
        CORE8051S_O1O0  : integer := 125;
        CORE8051S_I1O0  : integer := 126;
        CORE8051S_l1O0  : integer := 127;
        CORE8051S_OOI0  : integer := 128;
        CORE8051S_IOI0  : integer := 129;
        CORE8051S_lOI0  : integer := 130;
        CORE8051S_OII0  : integer := 131;
        CORE8051S_III0  : integer := 132;
        CORE8051S_lII0  : integer := 133;
        CORE8051S_OlI0  : integer := 134;
        CORE8051S_IlI0  : integer := 135;
        CORE8051S_llI0  : integer := 136;
        CORE8051S_O0I0  : integer := 137;
        CORE8051S_I0I0  : integer := 138;
        CORE8051S_l0I0  : integer := 139;
        CORE8051S_O1I0  : integer := 140;
        CORE8051S_I1I0  : integer := 141;
        CORE8051S_l1I0  : integer := 142;
        CORE8051S_OOl0  : integer := 143;
        CORE8051S_IOl0  : integer := 144;
        CORE8051S_lOl0  : integer := 145;
        CORE8051S_OIl0  : integer := 146;
        CORE8051S_IIl0  : integer := 147;
        CORE8051S_lIl0  : integer := 148;
        CORE8051S_Oll0  : integer := 149;
        CORE8051S_Ill0  : integer := 150;
        CORE8051S_lll0  : integer := 151;
        CORE8051S_O0l0  : integer := 152;
        CORE8051S_I0l0  : integer := 153;
        CORE8051S_l0l0  : integer := 154;
        CORE8051S_O1l0  : integer := 155;
        CORE8051S_I1l0  : integer := 156;
        CORE8051S_l1l0  : integer := 157;
        CORE8051S_OO00  : integer := 158;
        CORE8051S_IO00  : integer := 159;
        CORE8051S_lO00  : integer := 160;
        CORE8051S_OI00  : integer := 161;
        CORE8051S_II00  : integer := 162;
        CORE8051S_lI00  : integer := 163;
        CORE8051S_Ol00  : integer := 164;
        CORE8051S_Il00  : integer := 165;
        CORE8051S_ll00  : integer := 166;
        CORE8051S_O000  : integer := 167;
        CORE8051S_I000  : integer := 168;
        CORE8051S_l000  : integer := 169;
        CORE8051S_O100  : integer := 170;
        CORE8051S_I100  : integer := 171;
        CORE8051S_l100  : integer := 172;
        CORE8051S_OO10  : integer := 173;
        CORE8051S_IO10  : integer := 174;
        CORE8051S_lO10  : integer := 175;
        CORE8051S_OI10  : integer := 176;
        CORE8051S_II10  : integer := 177;
        CORE8051S_lI10  : integer := 178;
        CORE8051S_Ol10  : integer := 179;
        CORE8051S_Il10  : integer := 180;
        CORE8051S_ll10  : integer := 181;
        CORE8051S_O010  : integer := 182;
        CORE8051S_I010  : integer := 183;
        CORE8051S_l010  : integer := 184;
        CORE8051S_O110  : integer := 185;
        CORE8051S_I110  : integer := 186;
        CORE8051S_l110  : integer := 187;
        CORE8051S_OOO1  : integer := 188;
        CORE8051S_IOO1  : integer := 189;
        CORE8051S_lOO1  : integer := 190;
        CORE8051S_OIO1  : integer := 191;
        CORE8051S_IIO1  : integer := 192;
        CORE8051S_lIO1  : integer := 193;
        CORE8051S_OlO1  : integer := 194;
        CORE8051S_IlO1  : integer := 195;
        CORE8051S_llO1  : integer := 196;
        CORE8051S_O0O1  : integer := 197;
        CORE8051S_I0O1  : integer := 198;
        CORE8051S_l0O1  : integer := 199;
        CORE8051S_O1O1  : integer := 200;
        CORE8051S_I1O1  : integer := 201;
        CORE8051S_l1O1  : integer := 202;
        CORE8051S_OOI1  : integer := 203;
        CORE8051S_IOI1  : integer := 204;
        CORE8051S_lOI1  : integer := 205;
        CORE8051S_OII1  : integer := 206;
        CORE8051S_III1  : integer := 207;
        CORE8051S_lII1  : integer := 208;
        CORE8051S_OlI1  : integer := 209;
        CORE8051S_IlI1  : integer := 210;
        CORE8051S_llI1  : integer := 211;
        CORE8051S_O0I1  : integer := 212;
        CORE8051S_I0I1  : integer := 213;
        CORE8051S_l0I1  : integer := 214;
        CORE8051S_O1I1  : integer := 215;
        CORE8051S_I1I1  : integer := 216;
        CORE8051S_l1I1  : integer := 217;
        CORE8051S_OOl1  : integer := 218;
        CORE8051S_IOl1  : integer := 219;
        CORE8051S_lOl1  : integer := 220;
        CORE8051S_OIl1  : integer := 221;
        CORE8051S_IIl1  : integer := 222;
        CORE8051S_lIl1  : integer := 223;
        CORE8051S_Oll1  : integer := 224;
        CORE8051S_Ill1  : integer := 225;
        CORE8051S_lll1  : integer := 226;
        CORE8051S_O0l1  : integer := 227;
        CORE8051S_I0l1  : integer := 228;
        CORE8051S_l0l1  : integer := 229;
        CORE8051S_O1l1  : integer := 230;
        CORE8051S_I1l1  : integer := 231;
        CORE8051S_l1l1  : integer := 232;
        CORE8051S_OO01  : integer := 233;
        CORE8051S_IO01  : integer := 234;
        CORE8051S_lO01  : integer := 235;
        CORE8051S_OI01  : integer := 236;
        CORE8051S_II01  : integer := 237;
        CORE8051S_lI01  : integer := 238;
        CORE8051S_Ol01  : integer := 239;
        CORE8051S_Il01  : integer := 240;
        CORE8051S_ll01  : integer := 241;
        CORE8051S_O001  : integer := 242;
        CORE8051S_I001  : integer := 243;
        CORE8051S_l001  : integer := 244;
        CORE8051S_O101  : integer := 245;
        CORE8051S_I101  : integer := 246;
        CORE8051S_l101  : integer := 247;
        CORE8051S_OO11  : integer := 248;
        CORE8051S_IO11  : integer := 249;
        CORE8051S_lO11  : integer := 250;
        CORE8051S_OI11  : integer := 251;
        CORE8051S_II11  : integer := 252;
        CORE8051S_lI11  : integer := 253;
        CORE8051S_Ol11  : integer := 254;
        CORE8051S_Il11  : integer := 255;
        CORE8051S_ll11  : integer := 0;
        CORE8051S_O011  : integer := 0;
        CORE8051S_I011  : integer := 0;
        CORE8051S_l011  : integer := 1;
        CORE8051S_O111  : integer := 2;
        CORE8051S_I111  : integer := 3;
        CORE8051S_l111  : integer := 4;
        CORE8051S_OOOOI : integer := 5;
        CORE8051S_IOOOI : integer := 8;
        CORE8051S_lOOOI : integer := 9;
        CORE8051S_OIOOI : integer := 10;
        CORE8051S_IIOOI : integer := 11;
        CORE8051S_lIOOI : integer := 12;
        CORE8051S_OlOOI : integer := 13;
        CORE8051S_IlOOI : integer := 16;
        CORE8051S_llOOI : integer := 0;
        CORE8051S_O0OOI : integer := 0;
        CORE8051S_I0OOI : integer := 0;
        CORE8051S_l0OOI : integer := 0;
        CORE8051S_O1OOI : integer := 1
    );
    port(
        CORE8051S_O0I   : in     vl_logic;
        CORE8051S_I0I   : in     vl_logic;
        CORE8051S_l0I   : in     vl_logic;
        CORE8051S_O1I   : in     vl_logic_vector(7 downto 0);
        CORE8051S_I1I   : in     vl_logic;
        CORE8051S_l1I   : in     vl_logic_vector(7 downto 0);
        CORE8051S_OOl   : out    vl_logic_vector(7 downto 0);
        CORE8051S_IOl   : out    vl_logic_vector(7 downto 0);
        CORE8051S_lOl   : out    vl_logic_vector(1 downto 0);
        CORE8051S_OIl   : out    vl_logic;
        CORE8051S_IIl   : out    vl_logic;
        CORE8051S_lIl   : out    vl_logic;
        CORE8051S_Oll   : in     vl_logic_vector(7 downto 0);
        CORE8051S_Ill   : out    vl_logic_vector(7 downto 0);
        CORE8051S_lll   : in     vl_logic_vector(6 downto 0);
        CORE8051S_O0l   : in     vl_logic;
        CORE8051S_I0l   : in     vl_logic_vector;
        CORE8051S_l0l   : in     vl_logic;
        CORE8051S_O1l   : in     vl_logic;
        CORE8051S_I1l   : in     vl_logic;
        CORE8051S_l1l   : in     vl_logic;
        CORE8051S_OO0   : in     vl_logic
    );
end CORE8051S_llI;
