library verilog;
use verilog.vl_types.all;
entity CoreGPIO is
    generic(
        NUM_INPUTS      : integer := 32;
        NUM_OUTPUTS     : integer := 32
    );
    port(
        PCLK            : in     vl_logic;
        PRESETn         : in     vl_logic;
        PENABLE         : in     vl_logic;
        PSEL            : in     vl_logic;
        PADDR           : in     vl_logic_vector(5 downto 2);
        PWRITE          : in     vl_logic;
        PWDATA          : in     vl_logic_vector;
        dataIn          : in     vl_logic_vector;
        PRDATA          : out    vl_logic_vector;
        dataOut         : out    vl_logic_vector
    );
end CoreGPIO;
