/***********************************************************************************             
-- Actel Corporation Proprietary and Confidential                                                
-- Copyright 2007 Actel Corporation. All rights reserved.
--                                                                                               
-- ANY USE OR REDISTRIBUTION IN PART OR IN WHOLE MUST BE HANDLED IN                              
-- ACCORDANCE WITH THE ACTEL LICENSE AGREEMENT AND MUST BE APPROVED                              
-- IN ADVANCE IN WRITING.                                                                        
--                                                                                               
-- Revision: 1.0 
-- SVN Revision Information:
-- SVN $Revision: $                                   
-- SVN $Date: $
-- 
-- Resolved SARs
-- SAR Date Who Description
--                                                                
********************************************************************************************************/
`timescale 1ns/100ps
module
CCALIBOl01
(
CCALIBl101
,
CCALIBOO11
,
CCALIBO101
,
CCALIBI101
,
CCALIBI001
,
CCALIBl001
,
CCALIBll01
,
CCALIBO001
)
;
input
[
8
:
0
]
CCALIBl101
;
output
[
8
:
0
]
CCALIBOO11
;
input
CCALIBO101
,
CCALIBI101
;
input
[
8
:
0
]
CCALIBI001
,
CCALIBl001
;
input
CCALIBll01
,
CCALIBO001
;
wire
CCALIBI0OOI
,
CCALIBl0OOI
,
VCC
,
GND
;
VCC
CCALIBO1OOI
(
.Y
(
VCC
)
)
;
GND
CCALIBI1OOI
(
.Y
(
GND
)
)
;
INV
CCALIBl1OOI
(
.A
(
CCALIBI101
)
,
.Y
(
CCALIBl0OOI
)
)
;
RAM4K9
CCALIBOOIOI
(
.ADDRA11
(
GND
)
,
.ADDRA10
(
GND
)
,
.ADDRA9
(
GND
)
,
.ADDRA8
(
CCALIBI001
[
8
]
)
,
.ADDRA7
(
CCALIBI001
[
7
]
)
,
.ADDRA6
(
CCALIBI001
[
6
]
)
,
.ADDRA5
(
CCALIBI001
[
5
]
)
,
.ADDRA4
(
CCALIBI001
[
4
]
)
,
.ADDRA3
(
CCALIBI001
[
3
]
)
,
.ADDRA2
(
CCALIBI001
[
2
]
)
,
.ADDRA1
(
CCALIBI001
[
1
]
)
,
.ADDRA0
(
CCALIBI001
[
0
]
)
,
.ADDRB11
(
GND
)
,
.ADDRB10
(
GND
)
,
.ADDRB9
(
GND
)
,
.ADDRB8
(
CCALIBl001
[
8
]
)
,
.ADDRB7
(
CCALIBl001
[
7
]
)
,
.ADDRB6
(
CCALIBl001
[
6
]
)
,
.ADDRB5
(
CCALIBl001
[
5
]
)
,
.ADDRB4
(
CCALIBl001
[
4
]
)
,
.ADDRB3
(
CCALIBl001
[
3
]
)
,
.ADDRB2
(
CCALIBl001
[
2
]
)
,
.ADDRB1
(
CCALIBl001
[
1
]
)
,
.ADDRB0
(
CCALIBl001
[
0
]
)
,
.DINA8
(
CCALIBl101
[
8
]
)
,
.DINA7
(
CCALIBl101
[
7
]
)
,
.DINA6
(
CCALIBl101
[
6
]
)
,
.DINA5
(
CCALIBl101
[
5
]
)
,
.DINA4
(
CCALIBl101
[
4
]
)
,
.DINA3
(
CCALIBl101
[
3
]
)
,
.DINA2
(
CCALIBl101
[
2
]
)
,
.DINA1
(
CCALIBl101
[
1
]
)
,
.DINA0
(
CCALIBl101
[
0
]
)
,
.DINB8
(
GND
)
,
.DINB7
(
GND
)
,
.DINB6
(
GND
)
,
.DINB5
(
GND
)
,
.DINB4
(
GND
)
,
.DINB3
(
GND
)
,
.DINB2
(
GND
)
,
.DINB1
(
GND
)
,
.DINB0
(
GND
)
,
.WIDTHA0
(
VCC
)
,
.WIDTHA1
(
VCC
)
,
.WIDTHB0
(
VCC
)
,
.WIDTHB1
(
VCC
)
,
.PIPEA
(
GND
)
,
.PIPEB
(
GND
)
,
.WMODEA
(
GND
)
,
.WMODEB
(
GND
)
,
.BLKA
(
CCALIBI0OOI
)
,
.BLKB
(
CCALIBl0OOI
)
,
.WENA
(
GND
)
,
.WENB
(
VCC
)
,
.CLKA
(
CCALIBll01
)
,
.CLKB
(
CCALIBO001
)
,
.RESET
(
VCC
)
,
.DOUTA8
(
)
,
.DOUTA7
(
)
,
.DOUTA6
(
)
,
.DOUTA5
(
)
,
.DOUTA4
(
)
,
.DOUTA3
(
)
,
.DOUTA2
(
)
,
.DOUTA1
(
)
,
.DOUTA0
(
)
,
.DOUTB8
(
CCALIBOO11
[
8
]
)
,
.DOUTB7
(
CCALIBOO11
[
7
]
)
,
.DOUTB6
(
CCALIBOO11
[
6
]
)
,
.DOUTB5
(
CCALIBOO11
[
5
]
)
,
.DOUTB4
(
CCALIBOO11
[
4
]
)
,
.DOUTB3
(
CCALIBOO11
[
3
]
)
,
.DOUTB2
(
CCALIBOO11
[
2
]
)
,
.DOUTB1
(
CCALIBOO11
[
1
]
)
,
.DOUTB0
(
CCALIBOO11
[
0
]
)
)
;
INV
CCALIBIOIOI
(
.A
(
CCALIBO101
)
,
.Y
(
CCALIBI0OOI
)
)
;
endmodule
